import { Story, Canvas, Meta, Description } from "@storybook/addon-docs/blocks";
import { withKnobs, text } from "@storybook/addon-knobs";
import { html } from "lit-html";
import CATEGORIES from "../categories";
import readme from "../../dist/docs/components/date-time/readme.md";

<Meta title={CATEGORIES.COMPONENTS + "DateTime"} />

# DateTime

Shows the users local date time for the provided UTC date in the provided format. This component does not come with any styling. It can be styled like any other text.

<Canvas
    mdxSource={`<ui-date-time utc="2020-05-20 17:32:33" format="DD.MM.YYYY HH:mm"/>`}
>
    <Story
        height="20px"
        name="Date Time"
        parameters={{ decorators: [withKnobs], jest: ["date-time.e2e.ts"] }}
    >
        {html`
            <ui-date-time
                utc="${text("UTC", "2020-05-20 17:32:33")}"
                format="${text("Format", "DD.MM.YYYY HH:mm")}"
            />
        `}
    </Story>
</Canvas>

# Developer Documentation

<Description markdown={readme} />
